Skip to navigation

Get a user by id.

View as Markdown
Retrieve a user's details by id.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

userIdstringRequired
The id of the user

Response

Executed successfully.
idstring
usernamestring
createdBystring
createdAtdatetime or null
updatedAtdatetime or null
lastLogindatetime or null
isLocalboolean or null
groupslist of strings or nullOptional
firstNamestringOptional<=255 characters
lastNamestringOptional<=255 characters

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error